Details

    • Type: Bug
    • Status: Resolved
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: 1.3.6
    • Fix Version/s: 1.4.0
    • Component/s: Common
    • Labels:
      None
    • Environment:

      Hudson v1.392
      Artifactory Plugin 1.3.6
      Apache Maven 2.1.0
      IBM JDK 1.6.0 (used on all Hudson builds, error might be related to this particular JDK)

      Description

      When my job is about to be deploy all built artifacts to the remote artifactory instance, I receive the following exception:

      Deploying artifacts of module: xxxxx.xx:xxxxx
      FATAL: java.util.Arrays.copyOf([Ljava/lang/Object;I)[Ljava/lang/Object;
      java.lang.NoSuchMethodError: java.util.Arrays.copyOf([Ljava/lang/Object;I)[Ljava/lang/Object;
      	at org.jfrog.build.client.IncludeExcludePatterns.getIncludePatterns(IncludeExcludePatterns.java:59)
      	at org.jfrog.build.client.PatternMatcher.pathConflicts(PatternMatcher.java:25)
      	at org.jfrog.hudson.maven2.ArtifactsDeployer.deployArtifact(ArtifactsDeployer.java:116)
      	at org.jfrog.hudson.maven2.ArtifactsDeployer.deploy(ArtifactsDeployer.java:99)
      	at org.jfrog.hudson.ArtifactoryRedeployPublisher.perform(ArtifactoryRedeployPublisher.java:238)
      	at hudson.tasks.BuildStepMonitor$1.perform(BuildStepMonitor.java:19)
      	at hudson.model.AbstractBuild$AbstractRunner.perform(AbstractBuild.java:603)
      	at hudson.model.AbstractBuild$AbstractRunner.performAllBuildSteps(AbstractBuild.java:582)
      	at hudson.maven.MavenModuleSetBuild$RunnerImpl.post2(MavenModuleSetBuild.java:754)
      	at hudson.model.AbstractBuild$AbstractRunner.post(AbstractBuild.java:529)
      	at hudson.model.Run.run(Run.java:1386)
      	at hudson.maven.MavenModuleSetBuild.run(MavenModuleSetBuild.java:400)
      	at hudson.model.ResourceController.execute(ResourceController.java:88)
      	at hudson.model.Executor.run(Executor.java:145)
      

      Updated Hudson from 1.342 to 1.392 and artifactory plugin from 1.1 to 1.3.6

      I believe it might have something to do with the artifact deploy include/exclude patterns that was introduced in 1.3.6. I installed 1.3.5 and the problem went away.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                yossis Yossi Shaul
                Reporter:
                tmilian tomas milian
              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: